# schema_salad.tests.test_dlang_codegen

Test D code generation.

## Functions

`test_cwl_dlang_gen`(tmp_path) | End to end test of D generator using the CWL v1.0 schema.
`dlang_codegen`(file_uri, target) | Help using the D code generation function.

## Module Contents

schema_salad.tests.test_dlang_codegen.test_cwl_dlang_gen(tmp_path)

  End to end test of D generator using the CWL v1.0 schema.

  Parameters:

    tmp_path (pathlib.Path)

  Return type:

    None

schema_salad.tests.test_dlang_codegen.dlang_codegen(file_uri, target)

  Help using the D code generation function.

  Parameters:

    - file_uri (str)

    - target (pathlib.Path)

  Return type:

    None